com.io7m.r2.core

## Class R2MaterialDepthBatched.Builder<M>

- java.lang.Object
- - com.io7m.r2.core.R2MaterialDepthBatched.Builder<M>

- Enclosing class:
    R2MaterialDepthBatched<M>

      public static final class R2MaterialDepthBatched.Builder<M>
      extends Object

  Builds instances of type `R2MaterialDepthBatched`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `R2MaterialDepthBatched<M>` | `build()` Builds a new `R2MaterialDepthBatched`.
    `R2MaterialDepthBatched.Builder<M>` | `from(R2MaterialDepthBatchedType<M> instance)` Fill a builder with attribute values from the provided `R2MaterialDepthBatchedType` instance.
    `R2MaterialDepthBatched.Builder<M>` | `setMaterialID(long materialID)` Initializes the value for the `materialID` attribute.
    `R2MaterialDepthBatched.Builder<M>` | `setShader(R2ShaderDepthBatchedUsableType<M> shader)` Initializes the value for the `shader` attribute.
    `R2MaterialDepthBatched.Builder<M>` | `setShaderParameters(M shaderParameters)` Initializes the value for the `shaderParameters` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final R2MaterialDepthBatched.Builder<M> from(R2MaterialDepthBatchedType<M> instance)

      Fill a builder with attribute values from the provided `R2MaterialDepthBatchedType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setMaterialID

          public final R2MaterialDepthBatched.Builder<M> setMaterialID(long materialID)

      Initializes the value for the `materialID` attribute.
      Parameters:
        `materialID` - The value for materialID
      Returns:
        `this` builder for use in a chained invocation

    - #### setShader

          public final R2MaterialDepthBatched.Builder<M> setShader(R2ShaderDepthBatchedUsableType<M> shader)

      Initializes the value for the `shader` attribute.
      Parameters:
        `shader` - The value for shader
      Returns:
        `this` builder for use in a chained invocation

    - #### setShaderParameters

          public final R2MaterialDepthBatched.Builder<M> setShaderParameters(M shaderParameters)

      Initializes the value for the `shaderParameters` attribute.
      Parameters:
        `shaderParameters` - The value for shaderParameters
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public R2MaterialDepthBatched<M> build()

      Builds a new `R2MaterialDepthBatched`.
      Returns:
        An immutable instance of R2MaterialDepthBatched
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2016 <code@io7m.com> http://io7m.com